Package org.apache.cxf.bus.extension

# Class TextExtensionFragmentParser

java.lang.Object
org.apache.cxf.bus.extension.TextExtensionFragmentParser

public class TextExtensionFragmentParser extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TextExtensionFragmentParser(ClassLoader loader)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<Extension>`
  `getExtensions(InputStream is)`
  Reads extension definitions from a Text file and instantiates them The text file has the following syntax classname:interfacename:deferred(true|false):optional(true|false)
  `List<Extension>`
  `getExtensions(URL url)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### TextExtensionFragmentParser

    public TextExtensionFragmentParser(ClassLoader loader)

- ## Method Details

  - ### getExtensions

    public List<Extension> getExtensions(URL url)

  - ### getExtensions

    public List<Extension> getExtensions(InputStream is) throws IOException
    Reads extension definitions from a Text file and instantiates them The text file has the following syntax classname:interfacename:deferred(true|false):optional(true|false)
    Parameters:
      `is` - stream to read the extension from
    Returns:
      list of Extensions
    Throws:
      `IOException`